---
lang: en
title: 'API docs: authentication.authenticationmiddlewareprovider._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authenticationmiddlewareprovider._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticationMiddlewareProvider](./authentication.authenticationmiddlewareprovider.md) &gt; [(constructor)](./authentication.authenticationmiddlewareprovider._constructor_.md)

## AuthenticationMiddlewareProvider.(constructor)

Constructs a new instance of the `AuthenticationMiddlewareProvider` class

**Signature:**

```typescript
constructor(authenticate: AuthenticateFn);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  authenticate | [AuthenticateFn](./authentication.authenticatefn.md) |  |


